#include <gtk/gtk.h>

#define LIFT_HEIGHT     10
#define PIXMAP_WIDTH    175
#define PIXMAP_HEIGHT   40
#define NUM_STONES      6   /* doesn't support different numbers of stones yet */
#define GET_UNDO_BACKUP 1
#define SET_UNDO_BACKUP 0


void on_restart_menu_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_quit_menu_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_undo_menu_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_instructions_menu_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_about_menu_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_about_button_released(GtkButton *button, gpointer user_data);

void on_instructions_button_released(GtkButton *button, gpointer user_data);

void on_game_over_quit_button_released(GtkButton *button, gpointer user_data);

void on_game_over_retry_button_released(GtkButton *button, gpointer user_data);

gboolean on_drawing_area_button_press_event(GtkWidget *widget,
                                            GdkEventButton *event,
                                            gpointer user_data);

gboolean on_drawingarea_configure_event(GtkWidget *widget,
                                        GdkEventConfigure *event,
                                        gpointer user_data);

gboolean on_drawingarea_expose_event(GtkWidget *widget,
                                     GdkEventExpose *event,
                                     gpointer user_data);

void init_drawing_area(GtkWidget *main_window);

void init_tower_data();

void draw_screen();

void you_win();

void undo_backup(int get_undo_backup);