#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "functions.h"
#include "interface.h"
#include "support.h"


int main(int argc, char *argv[])
{
   GtkWidget *main_window;

   gtk_set_locale();
   gtk_init(&argc, &argv);

   add_pixmap_directory(PACKAGE_DATA_DIR "/pixmaps");
   add_pixmap_directory(PACKAGE_SOURCE_DIR "/pixmaps");

   main_window = create_main_window();
   gtk_widget_show(main_window);

   init_tower_data();

   init_drawing_area(main_window); /* send it main_window to use as a reference */

   undo_backup(GET_UNDO_BACKUP);

   gtk_main();
   return 0;
}